edu.sc.seis.sod.subsetter.channel

## Class DasSubsetter

- java.lang.Object
- - edu.sc.seis.sod.subsetter.channel.InstrumentationSubsetter
  - - edu.sc.seis.sod.subsetter.channel.DasSubsetter

- All Implemented Interfaces:
    SodElement, ChannelSubsetter, Subsetter
  Direct Known Subclasses:
    DasId, DasManufacturer, DasModel, DasSerial, DasStyle

      public abstract class DasSubsetter
      extends InstrumentationSubsetter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DasSubsetter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `acceptStyle(edu.iris.Fissures.network.ChannelImpl channel, NetworkSource network, int style)`
    `protected edu.iris.Fissures.IfNetwork.SeismicHardware` | `getSeismicHardware(edu.iris.Fissures.IfNetwork.Instrumentation inst)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.channel.InstrumentationSubsetter

      `acceptId, acceptManufacturer, acceptModel, acceptSerialNumber, getChannelNotFoundMsg, getInstrumentationInvalidMsg, getSeismicHardware, handle, handle, handleChannelNotFound`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.subsetter.channel.ChannelSubsetter

      `accept`

- - ### Constructor Detail

    - #### DasSubsetter

          public DasSubsetter()

  - ### Method Detail

    - #### getSeismicHardware

          protected edu.iris.Fissures.IfNetwork.SeismicHardware getSeismicHardware(edu.iris.Fissures.IfNetwork.Instrumentation inst)

      Specified by:
        `getSeismicHardware` in class `InstrumentationSubsetter`

    - #### acceptStyle

          protected boolean acceptStyle(edu.iris.Fissures.network.ChannelImpl channel,
                                        NetworkSource network,
                                        int style)